﻿namespace XGame.Framework.UI.View
{
    /// <summary>
    /// UI逻辑控制器接口
    /// </summary>
    public interface IUIController
    {
        /// <summary>
        /// 激活回调事件
        /// </summary>
        /// <param name="intent">透传参数</param>
        void OnEnable(object intent);
        void OnDisable();
    }
}
